[arch-commits] Commit in gegl/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Antonio Rojas arojas at archlinux.org
Mon Feb 26 11:30:56 UTC 2018


    Date: Monday, February 26, 2018 @ 11:30:56
  Author: arojas
Revision: 317559

archrelease: copy trunk to staging-x86_64

Added:
  gegl/repos/staging-x86_64/
  gegl/repos/staging-x86_64/PKGBUILD
    (from rev 317558, gegl/trunk/PKGBUILD)

----------+
 PKGBUILD |   65 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

Copied: gegl/repos/staging-x86_64/PKGBUILD (from rev 317558, gegl/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2018-02-26 11:30:56 UTC (rev 317559)
@@ -0,0 +1,65 @@
+# $Id$
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+pkgver=0.3.26
+pkgrel=2
+pkgdesc="Graph based image processing framework"
+arch=('x86_64')
+url="http://www.gegl.org/"
+license=('GPL3' 'LGPL3')
+depends=('babl' 'libspiro' 'json-glib' 'libgexiv2')
+makedepends=('intltool' 'ruby' 'lua' 'libraw' 'openexr' 'mesa' 'glu' 'ffmpeg' 'librsvg' 'jasper'
+             'libtiff' 'exiv2' 'vala' 'python2' 'suitesparse' 'lensfun' 'gobject-introspection'
+             'git')
+optdepends=('libraw: raw plugin'
+            'openexr: openexr plugin'
+            'ffmpeg: ffmpeg plugin'
+            'suitesparse: matting-levin plugin'
+            'librsvg: svg plugin'
+            'jasper: jasper plugin'
+            'libtiff: tiff plugin'
+            'lua: lua plugin'
+            'lensfun: lens-correct plugin')
+_commit=6352c9328dc92c75dafe94a56ff1e6636a8a4563  # tags/GEGL_0_3_26^0
+source=("git+https://git.gnome.org/browse/gegl#commit=$_commit")
+sha256sums=('SKIP')
+
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GEGL_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  mkdir path
+  ln -s /usr/bin/python2 path/python
+
+  cd ${pkgname}
+  NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  ./configure  --prefix=/usr  --with-sdl --with-librsvg \
+    --with-libavformat --with-jasper --disable-docs \
+    --enable-workshop
+
+  # https://bugzilla.gnome.org/show_bug.cgi?id=655517
+  sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+  make
+}
+
+check() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make -k check || :
+}
+
+package() {
+  export PATH="$srcdir/path:$PATH" PYTHON=/usr/bin/python2
+  cd ${pkgname}
+  make DESTDIR="${pkgdir}" install
+}



More information about the arch-commits mailing list